#!/usr/bin/perl -w
###############################################################################
# print.pl - this code displays the story ready to print
#
# based on code Copyright (C) 2001 Norbert "Momo_102" Kuemin
#	<momo_102@bluemail.ch>
#
# modified and ported to Slash 2.2 Fry beta in October 2001 
#	by chromatic <chromatic@wgz.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
###############################################################################

use strict;
use Slash;
use Slash::Display;
use Slash::Utility;
use vars qw( $VERSION );
$VERSION = 'l.1';

my $constants = getCurrentStatic();
my $user = getCurrentUser;
my $form = getCurrentForm();
my $slashdb = getCurrentDB();

# or redirect
my $sid = $form->{sid};
my $sect = $user->{currentSection};

my $story	= $slashdb->getStory($sid);
my $topic	= $slashdb->getTopic($story->{tid});
my $author	= $slashdb->getAuthor($story->{uid},
	[qw( nickname fakeemail homepage )]);

$story->{storytime} = timeCalc($story->{time});

(my $adm, $user->{is_admin}) = ($user->{is_admin}, 0);

header($sect->{title}, 'print');
$user->{is_admin} = $adm;

my $options = {
	Nocomm	=> 1,
	Section	=> 'print',
};

slashDisplay('dispStory', {
	user			=> $user,
	story			=> $story,
	topic			=> $topic,
	author			=> $author,
	section			=> $sect->{title},
	displayLinks	=> $form->{nohtml},
}, $options);

slashDisplay('footer', {
	time			=> $slashdb->getTime(),
	story			=> $story,
	displayLinks	=> $form->{nohtml},
	autoPrint		=> $form->{auto},
}, $options);

print_dialog() if $form->{auto};
